Subject: [Healeys] Empty Brake/Clutch Reservoir

From: "R. Price Lindsay" <[email-masked]>
Date: Mon, 30 Nov 2015 15:37:53 -0500

I’ve looked through the archives and can’t find anything quite like this.  I see where fluid escapes from the brake side of the reservoir or the clutch side; but not both.

I drove my BJ8 to Gettysburg from FL this summer without incidence of brake issues.  The brakes were strong and responsive.  Since then I have driven it very little (it’s HOT in FL in July, August and September).  I took the car to a local car show a week or two ago and everything was fine.  I got in the car last night and the brake petal went down and inch or so before engaging with a strong petal.  I looked at the fluid level and both the brake side and clutch side were virtually empty.  I noticed that the reservoir cap was not seated correctly, which is odd and the cap on the radiator was also loose, odder yet.  There is no sign of spillage in the engine bay nor on the floor.  

Can a loose reservoir cap cause most all of the fluid to escape from both the brake side as well as the clutch?  

Price Lindsay
67 BJ8

_______________________________________________
Support Team.Net http://www.team.net/donate.html
Suggested annual donation  $12.75
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums

[email-masked]
http://autox.team.net/mailman/listinfo/healeys

Unsubscribe/Manage: http://autox.team.net/mailman/options/healeys/[email-masked]